Bug 30180 - HDMI display not detected
Summary: HDMI display not detected
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R600 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) other
: high major
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-14 06:24 UTC by samit vats
Modified: 2010-11-29 04:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glxinfo (16.03 KB, text/plain)
2010-09-14 06:24 UTC, samit vats
Details
Xorg.log (34.10 KB, patch)
2010-09-14 06:26 UTC, samit vats
Details | Splinter Review
xorg.conf (1.38 KB, text/plain)
2010-09-14 06:27 UTC, samit vats
Details
startx.log (1.30 KB, application/octet-stream)
2010-10-06 02:37 UTC, samit vats
Details
dmesg (46.80 KB, text/plain)
2010-10-07 06:58 UTC, samit vats
Details

Note You need to log in before you can comment on or make changes to this bug.
Description samit vats 2010-09-14 06:24:59 UTC
Created attachment 38687 [details]
glxinfo

KMS Driver Stack details :
=========================

1)    Kernel-2.6.32-21-generic-pae   
2)    Libdrm-2.4.19                               
3)    Mesa-7.8                                
4)    Xorg-server-1.7.4                      
5)    ddx: xf86-video-ati-6.13.0 


System Environment :
===================

O.S. - Ubuntu-10.04(32 bit)
Asic - M97 Mobility RadeonHD 4830
CPU  - AMD Athlon(tm) 64 FX-60 Dual Core Processor@2.60 GHz




Steps to Reproduce:
===================

1)Connect one DVI and one hdmi display with hdmi to hdmi connector
2)startx

Observation :
=============

Display observed only on DVI. Xrandr –q does not list hdmi.
Comment 1 samit vats 2010-09-14 06:26:45 UTC
Created attachment 38688 [details] [review]
Xorg.log
Comment 2 samit vats 2010-09-14 06:27:14 UTC
Created attachment 38689 [details]
xorg.conf
Comment 3 DH 2010-09-16 07:49:57 UTC
From your Xorg.0.log:
(II) RADEON(0): Output DIN disconnected
(II) RADEON(0): Output VGA-0 disconnected
(II) RADEON(0): Output DP disconnected
(II) RADEON(0): Output DVI-0 connected

DIN: S-video?

Clearly your working monitor (DVI) is on output DVI-0.

What is the actual card you have? (manufacturer, model)
List all of the connectors that it actually (physically) has.

I can think of a few possibilities:
1) That the DVI and HDMI plugs are wired into the same place,
2) That the HDMI plug is on the DP (or you are actually using a DP-HDMI cable) and you suffer from a similar defect as my mainboard: http://www.phoronix.com/forums/showthread.php?t=24480

If you have BOTH an HDMI plug as well as a DP plug on your card, then I would guess option 1 and you will need to pick up a passive DP-HDMI adapter cable to use the second monitor. If there IS NO DP plug, then I would guess option (2), in which case you'll have to hack the kernel to make it work or beg someone to add a workaround for this defect.
Comment 4 samit vats 2010-10-06 01:14:08 UTC
(In reply to comment #3)
> From your Xorg.0.log:
> (II) RADEON(0): Output DIN disconnected
> (II) RADEON(0): Output VGA-0 disconnected
> (II) RADEON(0): Output DP disconnected
> (II) RADEON(0): Output DVI-0 connected
> DIN: S-video?
> Clearly your working monitor (DVI) is on output DVI-0.
> What is the actual card you have? (manufacturer, model)
> List all of the connectors that it actually (physically) has.
> I can think of a few possibilities:
> 1) That the DVI and HDMI plugs are wired into the same place,
> 2) That the HDMI plug is on the DP (or you are actually using a DP-HDMI cable)
> and you suffer from a similar defect as my mainboard:
> http://www.phoronix.com/forums/showthread.php?t=24480
> If you have BOTH an HDMI plug as well as a DP plug on your card, then I would
> guess option 1 and you will need to pick up a passive DP-HDMI adapter cable to
> use the second monitor. If there IS NO DP plug, then I would guess option (2),
> in which case you'll have to hack the kernel to make it work or beg someone to
> add a workaround for this defect.

Sorry for the Delay.
If the machine is booted in run level 3 with a single HDMI to HDMI connector, then the startx fails. I am attaching startx log.
Comment 5 samit vats 2010-10-06 02:37:01 UTC
Created attachment 39214 [details]
startx.log
Comment 6 Alex Deucher 2010-10-06 07:44:58 UTC
Can you attach your dmesg output?  What connectors does the card actually have?
Comment 7 samit vats 2010-10-07 06:58:58 UTC
Created attachment 39255 [details]
dmesg
Comment 8 samit vats 2010-10-07 07:01:26 UTC
(In reply to comment #7)
> Created an attachment (id=39255) [details]
> dmesg

dmesg.txt is attached. The ASIC has 1 S-video,1 VGA,1 DVI,2 HDMI and 2 Display
Ports. The system is booted with a single HDMI to HDMI connector.
Comment 9 samit vats 2010-11-29 04:27:26 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Created an attachment (id=39255) [details] [details]
> > dmesg
> dmesg.txt is attached. The ASIC has 1 S-video,1 VGA,1 DVI,2 HDMI and 2 Display
> Ports. The system is booted with a single HDMI to HDMI connector.


Resolved : Fixed in the latest build.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.